<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prediction', function (Blueprint $table) {
            $table->id();
            $table->string('issue_no', 50)->unique()->comment('期号');
            $table->tinyInteger('size')->comment('预测大小：0小，1大');
            $table->tinyInteger('odd_or_even')->comment('预测单双:0单，1双');
            $table->tinyInteger('is_valid')->nullable()->comment("结果：0错误，1正确");
            $table->string('winning_numbers')->nullable()->comment('开奖号码');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prediction');
    }
};
